#!/bin/bash

installLibrePortalImageWebUI()
{
  isHeader "LibrePortal WebUI Image"

  isNotice "Building the LibrePortal WebUI Docker image..."

  local result=$(copyFolder "$install_containers_dir/libreportal" "$containers_dir" "$sudo_user_name")
  checkSuccess "Copy the LibrePortal to the containers folder"

  local result=$(sudo chown -R $sudo_user_name:$sudo_user_name $containers_dir/libreportal)
  checkSuccess "Setting folder permissions for LibrePortal folders"

  isNotice "Building libreportal-service image, this may take a while..."
  local result=$(sudo docker build -t libreportal-service -f $containers_dir/libreportal/Dockerfile $containers_dir/libreportal >/dev/null 2>&1)
  checkSuccess "Built LibrePortal WebUI Docker image"
}